Skip to main content
GET
/
open-api
/
catalog
/
product
/
{productId}
Obter produto
curl --request GET \
  --url https://api.mginex.com/open-api/catalog/product/{productId} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "DEFAULT",
    "categoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "info": {
      "title": "<string>",
      "description": "<string>",
      "images": [
        "<string>"
      ],
      "slug": "<string>"
    },
    "pricing": {
      "price": 123,
      "comparation": 123
    },
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Token de API gerado no painel da Mginex em Configurações > Open API

Path Parameters

productId
string<uuid>
required

ID do produto

Response

200 - application/json

Detalhes do produto

success
boolean
data
object